> ## Documentation Index
> Fetch the complete documentation index at: https://hc.saas-manager.biz.nuro.jp/llms.txt
> Use this file to discover all available pages before exploring further.

# Get provisioning meta for workspace of a service



## OpenAPI

````yaml https://api.itmc.i.moneyforward.com/public-api/docs/v1-json get /api/v1/organizations/{organizationId}/workspaces/{workspaceId}/provisioning-meta
openapi: 3.0.0
info:
  title: Admina Public API
  description: >-
    Admina API is a RESTfull API providing programmatic access to much of the
    data in the system. It provides predictable URLs for accessing resources,
    and uses built-in HTTP features to receive commands and return responses.
    This makes it easy to communicate with from a wide variety of environments,
    from command-line utilities to gadgets to the browser URL bar itself.
  version: '1.0'
  contact: {}
servers:
  - url: https://api.itmc.i.moneyforward.com
security: []
tags:
  - name: Organizations
    description: ''
  - name: Users
    description: ''
  - name: Directory
    description: ''
  - name: Departments
    description: ''
  - name: Locations
    description: ''
  - name: Companies
    description: ''
  - name: People
    description: ''
  - name: Workspaces
    description: ''
  - name: Custom Service and Workspace
    description: ''
  - name: Workspace Accounts
    description: ''
  - name: Accounts
    description: ''
  - name: Contracts
    description: ''
  - name: Devices
    description: ''
  - name: Devices (alpha)
    description: ''
  - name: Alerts
    description: ''
  - name: Spends
    description: ''
  - name: Usage Optimization
    description: ''
  - name: Services
    description: ''
  - name: Requests
    description: ''
  - name: AuditLogs
    description: ''
  - name: EventLogs
    description: ''
paths:
  /api/v1/organizations/{organizationId}/workspaces/{workspaceId}/provisioning-meta:
    get:
      tags:
        - Workspace Accounts
      summary: Get provisioning meta for workspace of a service
      operationId: publicGetProvisioningMeta
      parameters:
        - name: organizationId
          required: true
          in: path
          schema:
            type: number
        - name: workspaceId
          required: true
          in: path
          schema:
            type: number
        - name: lang
          required: false
          in: query
          schema:
            $ref: '#/components/schemas/Locale'
      responses:
        '200':
          description: ''
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/PublicGetProvisioningMetaResponseDto'
      security:
        - API-Key: []
components:
  schemas:
    Locale:
      type: string
      enum:
        - en
        - ja
    PublicGetProvisioningMetaResponseDto:
      type: object
      properties:
        fields:
          readOnly: true
          type: array
          items:
            $ref: '#/components/schemas/PublicProvisioningField'
      required:
        - fields
    PublicProvisioningField:
      type: object
      properties:
        key:
          type: string
          description: Key to be used in the request body to set the value for this field
          readOnly: true
          example: setLicenses
        description:
          type: string
          description: Describes the data that is expected for each field
          readOnly: true
          example: licenses
        type:
          description: Type of data expected for the field
          readOnly: true
          example: list of options
          allOf:
            - $ref: '#/components/schemas/ProvisioningSectionDataType'
        constraints:
          description: Constraints for the field
          readOnly: true
          allOf:
            - $ref: '#/components/schemas/ProvisioningSectionFieldConstraint'
        options:
          description: List of options to choose from
          readOnly: true
          type: array
          items:
            $ref: '#/components/schemas/Option'
        multiple:
          type: boolean
          description: Can choose multiple options
          readOnly: true
          example: true
        hideForProvisioningType:
          description: Do not set this field for the following provisioning types
          readOnly: true
          example: invite
          allOf:
            - $ref: '#/components/schemas/ProvisioningType'
      required:
        - key
        - description
        - type
        - constraints
        - options
        - multiple
        - hideForProvisioningType
    ProvisioningSectionDataType:
      type: string
      enum:
        - text
        - url
        - password
        - email
        - list of options
        - option
      description: Type of data expected for the field
    ProvisioningSectionFieldConstraint:
      type: object
      properties:
        required:
          type: boolean
          readOnly: true
          example: true
        minLength:
          type: number
          readOnly: true
          example: 1
        maxLength:
          type: number
          readOnly: true
          example: 64
        regex:
          readOnly: true
          allOf:
            - $ref: '#/components/schemas/RegexConstraint'
      required:
        - required
        - minLength
        - maxLength
        - regex
    Option:
      type: object
      properties:
        id:
          type: string
          readOnly: true
          example: ab144hnx3e99h
        label:
          type: string
          readOnly: true
          example: Administrator License
    ProvisioningType:
      type: string
      enum:
        - invite
        - create
      description: Do not set this field for the following provisioning types
    RegexConstraint:
      type: object
      properties:
        value:
          type: string
          readOnly: true
          example: ^(?=.*?[A-Z])(?=.*?[a-z])(?=.*?[0-9])(?=.*?[#?!@$%^&*-]).{8,}$
        message:
          type: string
          readOnly: true
          example: provisioning.default_password_regex_message
      required:
        - value
        - message
  securitySchemes:
    API-Key:
      scheme: bearer
      bearerFormat: JWT
      type: http
      description: >-
        For authenticated requests, set the `Authorization: Bearer your_api_key`
        parameter in the header. <br/>You can create and manage your API Keys by
        visiting the **API Keys** tab in the **Settings** page of your
        organization in <a target='_blank'
        href='https://itmc.i.moneyforward.com/'>Admina</a>

````